Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - openresty_luarocks

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: openresty_luarocks 2.3.0-2

Git Clone URL: https://aur-dev.archlinux.org/openresty_luarocks.git (read-only)
Package Base: openresty_luarocks
Description: Deployment and management system for Openresty Luajit 2.1 modules
Upstream URL: http://luarocks.org/
Licenses: custom
Submitter: system
Maintainer: raingloom
Last Packager: raingloom
Votes: 3
Popularity: 0.019558
First Submitted: 2015-08-19 09:22
Last Updated: 2016-08-26 09:47

Dependencies (8)

Required by (1)

Sources (1)

Latest Comments

cmeury commented on 2016-08-25 18:35

The new openresty package 1.9.15.1-2 installs luajit-2.1.0-beta2 which breaks this package (looking for luajit-2.1.0-beta1).

In /opt/openresty/luajit/bin:
luajit -> luajit-2.1.0-beta2
luajit-2.1.0-beta2

I fixed the problem manually by adapting the first line in the /opt/openresty/luajit/bin/luarocks-5.1 script after installing.